#!/bin/bash
# Generate include files from script.
python _headerGenerator.py vkos5Constants.kos
ardFile=$([ -e "COMMS_Constants.ino" ])
pyFile=$([ -e "VKOS_Constants.py" ])

# Move files to correct locations (if needed).
if ($ardFile || $pyFile); then
	echo "" && echo "[*] Moving output files to correct locations..."
	
	# Arduino
	if ($ardFile); then
		echo "   - Moving 'COMMS_Constants.ino' to \"./src/ard-FBA_COMMS/\""
		mv COMMS_Constants.ino src/ard-FBA_COMMS/;
	fi
	
	# Python
	if ($pyFile); then
		echo "   - Moving 'VKOS_Constants.py' to \"./src/\""
		mv VKOS_Constants.py src/
	fi
fi

