#---------------------------------------------------------------
# * VisualK-OS (v5.0)
#   - File: UIE_Checkbox.py
#   - Version: 1.2
#   - Author: Kevin Slaughter
#   - Desc: UI Element >> Checkbox object
#           This UIE is not currently used in this program.
#
#
#   [Revision History]
#   2019/02/09: v1.2 - Commenting/Documentation standardization.
#   2019/02/04: v1.1 - General housekeeping.
#   2018/12/27: v1.0 - File created with initial framework.
#---------------------------------------------------------------



# Imports
#---------
import pygame, vkos_globals
from UIE_Base import *



# Class Object
#--------------
class UIE_Checkbox(UIE_Base):
	# Initialization
	#----------------
	def __init__(self, strText="", dispRect, aLoc):
		UIE_Base.__init__(self, dispRect, aLoc)	# Call standard init for all UIE objects.
		self.state = False			# State of UIE: True = Checked
		self.text = strText			# Store display text.
		self.type = "CHECKBOX"			# Define UIE type.
		return



	# Functions
	#-------------------------------------------------------
	# draw(destSurf)
	# Desc: Draws all components of the UIE.
	#-------------------------------------------------------
	# - destSurf = Destination surface to draw onto.
	#-------------------------------------------------------
	def draw(self, destSurf):
		self.surfMain.fill(self.colors["BG"])
		return


	#-------------------------------------------------------
	# handleMouse(b, mpos)
	# Desc: Handle mouse input.
	#-------------------------------------------------------
	# -    b: Button pressed/released, as applicable.
	# - mpos: Mouse event position (X/Y).
	#-------------------------------------------------------
	def handleMouse(self, b, mpos):
		# TODO: Implement mouse handling.
		return


	#-------------------------------------------------------
	# update()
	# Desc: Update and check for any necessary redraws.
	#-------------------------------------------------------
	def update(self):
		# TODO: Implement state updating.
		return
