#---------------------------------------------------------------
# * VisualK-OS (v5.0)
#   - File: UIE_UpDown.py
#   - Version: 1.3
#   - Author: Kevin Slaughter
#   - Desc: UI Element >> UpDown
#           This UIE is not currently used in this program.
#           Displays a clickable numerical/string output,
#           generally used for attribute changes.
#
#
#   [Revision History]
#   2019/02/09: v1.3 - Commenting/Documentation standardization.
#   2019/02/04: v1.2 - General housekeeping.
#   2019/01/01: v1.1 - Updated to work with UIE_Base class.
#   2018/12/11: v1.0 - File created with initial framework.
#---------------------------------------------------------------



# Imports
#---------
import vkos_globals
from UIE_Base import *



# Class Object
#--------------
class cUIE_UpDown(UIE_Base):
	# Properties
	#------------
	curVal = 0
	maxVal = 100
	minVal = 0



	# Initialization
	#----------------
	def __init__(self, dispRect, aLoc):
		UIE_Base.__init__(self, dispRect, aLoc)		# Call standard init for all UIE objects.
		self.curVal = 0		# Start at 0, by default.
		self.maxVal = 100	# Maximum value
		self.minVal = 0		# Minimum value (Default = 0)
		self.type = "UPDOWN" 	# Define UIE type.
		return



	# Functions
	#-------------------------------------------------------
	# draw(destSurf)
	# Desc: Draw the slider itself and the numeric display.
	#-------------------------------------------------------
	# - destSurf: Destination surface to draw onto.
	#-------------------------------------------------------
	def draw(self, destSurf):
		# TODO: Add code to draw... Anything, actually.
		return
