### VisualK-OS: Command Constants
### Generated on: September 21, 2019 [06:45]

### Device IDs
COMMS_DEVICE_ID = 250
ID_FBA = 251
ID_THOR = 252

### Device States
STATE_CONNECTED = 1
STATE_DISCONNECTED = 2
COMMS_OP_CONNECT = 3
COMMS_OP_DISCONNECT = 4

### VKC Color Constants
VKC_BLUE = 20
VKC_CYAN = 21
VKC_GREEN = 22
VKC_MAGENTA = 23
VKC_ORANGE = 24
VKC_PURPLE = 25
VKC_RED = 26
VKC_WHITE = 27
VKC_YELLOW = 28

### Scenes
SCENE_0 = 29
SCENE_1 = 30

### Lamp IDs
LAMP_0 = 100
LAMP_1 = 101
LAMP_2 = 102
LAMP_3 = 103
LAMP_4 = 104
LAMP_5 = 105
LAMP_6 = 106
LAMP_7 = 107
ALL_LAMPS = 70
FBA_BANK_A = 71
FBA_BANK_B = 72

### Lamp States
LAMP_OFF = 73
LAMP_ON = 74
LAMP_FADE_IN = 75
LAMP_FADE_OUT = 76
LAMP_MUTED = 77

### COMMS Packet Constants
CPACK_ARG_BYTE = 160
CPACK_ARG_CONST = 161
CPACK_ARG_COLOR = 162
CPACK_ARG_COLOR_CONST = 163
CPACK_ARG_COLOR_ENVIRONMENT = 164
CPACK_ARG_INT = 165
CPACK_ARG_DELIMETER = 166
CPACK_ARG_STOP = 167
CPACK_START = 168
CPACK_END = 169

### COMMS Operations
COMMS_ACK = 170
COMMS_MSG = 171
COMMS_NOP = 172
COMMS_OP_OFF = 173
COMMS_OP_ON = 174
COMMS_OP_FADE_IN = 175
COMMS_OP_FADE_OUT = 176
COMMS_OP_GET_BRIGHTNESS = 177
COMMS_OP_SET_BRIGHTNESS = 178
COMMS_OP_GET_COLOR = 179
COMMS_OP_SET_COLOR = 180
COMMS_OP_GET_DRUM_LEVEL = 181
COMMS_OP_SET_DRUM_LEVEL = 182
COMMS_OP_GET_FADE_DURATION = 183
COMMS_OP_SET_FADE_DURATION = 184
COMMS_OP_MUTE = 185
COMMS_OP_SET_SCENE = 186
COMMS_OP_UNMUTE = 187



#-------------------------------------------------------
# getConstStr(iConst)
# Desc: Returns a string identifying a constant.
#-------------------------------------------------------
def getConstStr(iConst):
	# Device IDs
	if (iConst == COMMS_DEVICE_ID): return "COMMS_DEVICE_ID"
	if (iConst == ID_FBA): return "ID_FBA"
	if (iConst == ID_THOR): return "ID_THOR"

	# Device States
	if (iConst == STATE_CONNECTED): return "STATE_CONNECTED"
	if (iConst == STATE_DISCONNECTED): return "STATE_DISCONNECTED"
	if (iConst == COMMS_OP_CONNECT): return "COMMS_OP_CONNECT"
	if (iConst == COMMS_OP_DISCONNECT): return "COMMS_OP_DISCONNECT"

	# VKC Color Constants
	if (iConst == VKC_BLUE): return "VKC_BLUE"
	if (iConst == VKC_CYAN): return "VKC_CYAN"
	if (iConst == VKC_GREEN): return "VKC_GREEN"
	if (iConst == VKC_MAGENTA): return "VKC_MAGENTA"
	if (iConst == VKC_ORANGE): return "VKC_ORANGE"
	if (iConst == VKC_PURPLE): return "VKC_PURPLE"
	if (iConst == VKC_RED): return "VKC_RED"
	if (iConst == VKC_WHITE): return "VKC_WHITE"
	if (iConst == VKC_YELLOW): return "VKC_YELLOW"

	# Scenes
	if (iConst == SCENE_0): return "SCENE_0"
	if (iConst == SCENE_1): return "SCENE_1"

	# Lamp IDs
	if (iConst == LAMP_0): return "LAMP_0"
	if (iConst == LAMP_1): return "LAMP_1"
	if (iConst == LAMP_2): return "LAMP_2"
	if (iConst == LAMP_3): return "LAMP_3"
	if (iConst == LAMP_4): return "LAMP_4"
	if (iConst == LAMP_5): return "LAMP_5"
	if (iConst == LAMP_6): return "LAMP_6"
	if (iConst == LAMP_7): return "LAMP_7"
	if (iConst == ALL_LAMPS): return "ALL_LAMPS"
	if (iConst == FBA_BANK_A): return "FBA_BANK_A"
	if (iConst == FBA_BANK_B): return "FBA_BANK_B"

	# Lamp States
	if (iConst == LAMP_OFF): return "LAMP_OFF"
	if (iConst == LAMP_ON): return "LAMP_ON"
	if (iConst == LAMP_FADE_IN): return "LAMP_FADE_IN"
	if (iConst == LAMP_FADE_OUT): return "LAMP_FADE_OUT"
	if (iConst == LAMP_MUTED): return "LAMP_MUTED"

	# COMMS Packet Constants
	if (iConst == CPACK_ARG_BYTE): return "CPACK_ARG_BYTE"
	if (iConst == CPACK_ARG_CONST): return "CPACK_ARG_CONST"
	if (iConst == CPACK_ARG_COLOR): return "CPACK_ARG_COLOR"
	if (iConst == CPACK_ARG_COLOR_CONST): return "CPACK_ARG_COLOR_CONST"
	if (iConst == CPACK_ARG_COLOR_ENVIRONMENT): return "CPACK_ARG_COLOR_ENVIRONMENT"
	if (iConst == CPACK_ARG_INT): return "CPACK_ARG_INT"
	if (iConst == CPACK_ARG_DELIMETER): return "CPACK_ARG_DELIMETER"
	if (iConst == CPACK_ARG_STOP): return "CPACK_ARG_STOP"
	if (iConst == CPACK_START): return "CPACK_START"
	if (iConst == CPACK_END): return "CPACK_END"

	# COMMS Operations
	if (iConst == COMMS_ACK): return "COMMS_ACK"
	if (iConst == COMMS_MSG): return "COMMS_MSG"
	if (iConst == COMMS_NOP): return "COMMS_NOP"
	if (iConst == COMMS_OP_OFF): return "COMMS_OP_OFF"
	if (iConst == COMMS_OP_ON): return "COMMS_OP_ON"
	if (iConst == COMMS_OP_FADE_IN): return "COMMS_OP_FADE_IN"
	if (iConst == COMMS_OP_FADE_OUT): return "COMMS_OP_FADE_OUT"
	if (iConst == COMMS_OP_GET_BRIGHTNESS): return "COMMS_OP_GET_BRIGHTNESS"
	if (iConst == COMMS_OP_SET_BRIGHTNESS): return "COMMS_OP_SET_BRIGHTNESS"
	if (iConst == COMMS_OP_GET_COLOR): return "COMMS_OP_GET_COLOR"
	if (iConst == COMMS_OP_SET_COLOR): return "COMMS_OP_SET_COLOR"
	if (iConst == COMMS_OP_GET_DRUM_LEVEL): return "COMMS_OP_GET_DRUM_LEVEL"
	if (iConst == COMMS_OP_SET_DRUM_LEVEL): return "COMMS_OP_SET_DRUM_LEVEL"
	if (iConst == COMMS_OP_GET_FADE_DURATION): return "COMMS_OP_GET_FADE_DURATION"
	if (iConst == COMMS_OP_SET_FADE_DURATION): return "COMMS_OP_SET_FADE_DURATION"
	if (iConst == COMMS_OP_MUTE): return "COMMS_OP_MUTE"
	if (iConst == COMMS_OP_SET_SCENE): return "COMMS_OP_SET_SCENE"
	if (iConst == COMMS_OP_UNMUTE): return "COMMS_OP_UNMUTE"

	# Unknown constant
	#------------------
	return str("<Unknown constant: '" + str(iConst) + "'>")
